Bug Hunting Session
Bug 108825 - Mail Merge Hangs (sometimes?) When Selecting CSV in Linux/Mac
Summary: Mail Merge Hangs (sometimes?) When Selecting CSV in Linux/Mac
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.4.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2017-06-28 00:26 UTC by morvan
Modified: 2018-11-30 03:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Image describes hang Diaolog Box (155.23 KB, image/png)
2017-06-28 00:26 UTC, morvan
Details
Mail Merge test odt (10.28 KB, application/vnd.oasis.opendocument.text)
2017-06-28 00:28 UTC, morvan
Details
Calc file for first test (9.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-06-28 00:29 UTC, morvan
Details
File CSV (generated via internal DB) (400 bytes, text/csv)
2017-06-28 00:30 UTC, morvan
Details
Document source (odt) to test Mail Merge, no fields yet. (9.13 KB, application/vnd.oasis.opendocument.text)
2017-06-29 18:24 UTC, morvan
Details
Dialog box hanging when reaching pass 3 (Address, Create, etc.). (63.07 KB, image/png)
2017-06-29 18:27 UTC, morvan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description morvan 2017-06-28 00:26:44 UTC
Created attachment 134326 [details]
Image describes hang Diaolog Box

Besides extremely low, Mail Merge crashes when I try to tie to CSV. When connecting to .ods, albeit very low (busy cursor almost makes me resign) it works. But, regarding CSV, hangs Wizard and Graphical System blinks; some Controls go out. When closing Select File Type Dialog, all Windows collapse. Attached some files to better explain.
I had, some time, made a Bug Entry regarding MM. Is this some type of regression?
Comment 1 morvan 2017-06-28 00:28:38 UTC
Created attachment 134327 [details]
Mail Merge test odt
Comment 2 morvan 2017-06-28 00:29:36 UTC
Created attachment 134328 [details]
Calc file for first test
Comment 3 morvan 2017-06-28 00:30:31 UTC
Created attachment 134329 [details]
File CSV (generated via internal DB)
Comment 4 Buovjaga 2017-06-29 17:47:48 UTC
No problem for me with the CSV.
It seems you are using KDE like me.

Note for testers: field separator is Tab, text separator "

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 98befbb26217b0bf3f35354e418a355280c52cfc
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 29th 2017
Comment 5 morvan 2017-06-29 17:59:51 UTC
Buovjaga 2017-06-29 17:47:48 UTC
"No problem for me with the CSV.
It seems you are using KDE like me...".
Yes, Plasma KDE without SAL_USE_VCLPLUGIN or messing with OPenGL, just crude download.
I reproduced several times and crashes application; when I re-invoke it, I avoid auto-repair and it works, but first time CSV creation it hangs.
Comment 6 Buovjaga 2017-06-29 18:14:36 UTC
If you can install debug symbols for your operating system, you could try with a master debug build and get a backtrace of the hang: https://wiki.documentfoundation.org/QA/BugReport/Debug_Information
http://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@70-TDF-dbg/current/
https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 7 morvan 2017-06-29 18:22:41 UTC
I tried today, at work, Kubuntu 16.10, x86_64, against L. O. 5.3 (Official and B2 versions) and I can not even reach option to generate a new csv. Dialog hangs.
Must I file a new case or maintain this?
Observation: I prelate L. O. classes at SEPLAG, my corporate work and I have had too many annoyances with Mail Merge Wizard, mainly because of no conformity of versions (I can not control version technical personnel installs, just have to use it...).
Attached screen with this new test and odt file. 
Yes, Buovjaga, I will try, when coming home.
Comment 8 morvan 2017-06-29 18:24:03 UTC
Created attachment 134390 [details]
Document source (odt) to test Mail Merge, no fields yet.
Comment 9 morvan 2017-06-29 18:27:10 UTC
Created attachment 134391 [details]
Dialog box hanging when reaching pass 3 (Address, Create, etc.).
Comment 10 kmarsouin-inscrit 2017-07-04 12:05:12 UTC
Comment on attachment 134391 [details]
Dialog box hanging when reaching pass 3 (Address, Create, etc.).

Hi,
I got the same problem on LibreOffice 5.3.4.2 and 5.4.0 (MacOs, french)
It works fine on LibreOffice 5.1.6
Comment 11 Buovjaga 2017-07-04 12:15:50 UTC
(In reply to kmarsouin-inscrit from comment #10)
> Comment on attachment 134391 [details]
> Dialog box hanging when reaching pass 3 (Address, Create, etc.).
> 
> Hi,
> I got the same problem on LibreOffice 5.3.4.2 and 5.4.0 (MacOs, french)
> It works fine on LibreOffice 5.1.6

Can you get debug stuff https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#Mac_OSX
Comment 12 morvan 2017-07-04 13:11:59 UTC
Hi. I discovered hang occurs when I select "Evolution Local" (see report from GDB). It is corroborated by the fact of first time one chooses "Select Addres List", it is empty, them, "Evolution Local" is the default. Hangs.

Report from GDB:
...
"For help, type "help".                                                                                                                                                                                                                       
Type "apropos word" to search for commands related to "word"...                                                                                                                                                                              
Reading symbols from /home/morvan/opt/libreoffice5.4/program/soffice.bin...(no debugging symbols found)...done.                                                                                                                              
log will be saved as gdbtrace.log, this will take some time, patience...                                                                                                                                                                     
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)                                                                                                                                       
kbuildsycoca4 running...                                                                                                                                                                                                                     
Legacy integer arithmetics implementation                                                                                                                                                                                                    
kio_thumbnail(3984)/kotext KoTextLoader::loadBody: unhandled text: "sequence-decls"                                                                                                                                                          
index-source-styles                                                                                                                                                                                                                          
index-source-styles                                                                                                                                                                                                                          
index-source-styles                                                                                                                                                                                                                          
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range                                                                                                                                                                                         
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
QTextCursor::setPosition: Position '11' out of range
Legacy integer arithmetics implementation 
QGraphicsWidget::setAttribute: unsupported attribute 14
kioslave: ####### CRASH ###### protocol =  pid = 3991 signal = 11
Legacy integer arithmetics implementation 
kio_thumbnail(3993)/kotext KoTextLoader::loadBody: unhandled text: "sequence-decls" 
QGraphicsWidget::setAttribute: unsupported attribute 14
LibreOffice(3951): couldn't create slave: "Não foi possível criar o io-slave:
O klauncher disse: Protocolo desconhecido ''.
"
Can anyone confirm it? Obs.: I could create .csv, this time. Explanation is there was one file, already. Selection did not go to "Default".
Comment 13 Timur 2017-07-18 18:09:58 UTC
@morvan and @Buovjaga:
Please write exact steps how you managed to add CSV as data source. That may be another bug but I couldn't from Mail Merge Wizard. 

@morvan: This bug report is not precise so not really correct. Again, no exact steps, there must be exact adn reproducible to crash. And please no "some time, some bug". Just write Bug 12345.
"Mail Merge crashes" means what? Dialog stops and returns to LO or LO crashes?
Since I cannot pass CSV, I don't have crash so far, just windows busy.
Comment 14 morvan 2017-07-18 18:23:28 UTC
(In reply to Timur from comment #13)
> @morvan and @Buovjaga:
> Please write exact steps how you managed to add CSV as data source. That may
> be another bug but I couldn't from Mail Merge Wizard. 
> 
> @morvan: This bug report is not precise so not really correct. Again, no
> exact steps, there must be exact adn reproducible to crash. And please no
> "some time, some bug". Just write Bug 12345.
> "Mail Merge crashes" means what? Dialog stops and returns to LO or LO
> crashes?
> Since I cannot pass CSV, I don't have crash so far, just windows busy.

Yes, Timur. I agree. But I could not reproduce and even gave a shed for a plausible explanation towards what happens when one selects "Create" for first time (see my debug via GDB, bellow). I have RC2 just installed, parallel to my main L. O. and I will try to reproduce it. With empty profile, to assure things are even.
Regarding reported by me and followed by kmarsouin-inscrit@yahoo.fr (System hangs on step 3), some news?
Comment 15 Buovjaga 2017-07-18 19:53:20 UTC
(In reply to Timur from comment #13)
> @morvan and @Buovjaga:
> Please write exact steps how you managed to add CSV as data source. That may
> be another bug but I couldn't from Mail Merge Wizard. 

1. Tools - Mail merge wizard
2. Next (use current document, default)
3. Next (letter, default)
4. Select address list
5. Add, select the CSV. Field separator is Tab, text separator "

and note, according to reporter, after this: "When closing Select File Type Dialog, all Windows collapse"
Comment 16 Timur 2017-07-19 13:07:58 UTC
(In reply to Buovjaga from comment #15)
> 1. Tools - Mail merge wizard
> 2. Next (use current document, default)
> 3. Next (letter, default)
> 4. Select address list
> 5. Add, select the CSV. Field separator is Tab, text separator "
Thank you. When I do it, I have "OK" available so "step 6. Press OK." 
But then I don't have Next nor Finish, so "step 7. not able to really add CSV". Maybe it's because (with empty profile) "This doc shall contain address block" is checked and can't be unchecked because "Match Fields.." is unavailable. 
I have no other option than to "step 8. Press Cancel". So, no crash so far. 

If I go directly to Tools-Address Data Source.., external, Text, path to folder, *.csv (containing headers), Finish, 3. Table selection select attached CSV, only then Field Assignment works, up to 5. Finish. And File-Print works. But MM toolbar button unavailable. 

From what I see, there's another bug for CSV as data source in MMW.

So, it would be important to know what and when exactly hangs for this bug to remain open. Until then, I remove bibisectRequest. 
> and note, according to reporter, after this: "When closing Select File Type
> Dialog, all Windows collapse"
@morvan: Where is that dialog, which step is that? 

(In reply to morvan from comment #12)
> Hi. I discovered hang occurs when I select "Evolution Local" (see report
> from GDB). It is corroborated by the fact of first time one chooses "Select
> Addres List", it is empty, them, "Evolution Local" is the default. Hangs.
What is Evoluiton Local? Another data source. Unrelated to this report. 

> Report from GDB:
Please don't paste this long text. It should be attached.
Comment 17 morvan 2017-07-19 13:13:53 UTC Comment hidden (no-value)
Comment 18 Timur 2017-07-19 15:36:11 UTC
Important to says I noticed CSV select problem on Windows only. I can select CSV in Linux. 
In MMW when there are no other address lists, and I add and select the new CSV, I have "OK" available. But when there are previous address lists (like ODS) and I add and select the new CSV, "OK" is available. It can be tricked by clicking some other list and back. But looks like it simply doesn't connect. 
With multiple address list, sometimes I get cursor busy, but Cancel is still available and that's not hang. 

I'll restrict this bug to Linux and report my Windows CSV findings as a new bug. Mac is a sort of Linux, right? What' matters is that this one was not confirmed in Windows. And that's why you already have Evolution Local. When reporting bug, nothing is obvious. 

I couldn't reproduce this bug in Linux with master. I may have not understood how. Evolution Local cannot be selected.
Possible cause of problems is JRE. I guess it's updated, but please check.
Comment 19 QA Administrators 2018-11-30 03:59:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug